Subject: bug#46861: closed (Re: bug#46861: `guix deploy` permission denied error)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Mar 2021 14:10:02 +0000

Your bug report

#46861: `guix deploy` permission denied error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46861: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46861
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46861: `guix deploy` permission denied error
From: Ludovic Courtès <[email-masked]>
To: pkill9 <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Mar 2021 15:09:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

pkill9 <[email-masked]> skribis:

> Ok, I just did `guix pull` on the machine deploying to the remote host,
> which had the same problem before, and it created last-expiry-cleanup
> and the file is owned by root, and changing it to my user fixed it. Not
> sure what happened the first time around, I'm so confused...

OK, closing!

‘sudo guix’ is an endless source of confusion.  :-/

Thanks,
Ludo’.

Subject: `guix deploy` permission denied error
From: pkill9 <[email-masked]>
To: [email-masked]
Date: Mon, 1 Mar 2021 21:43:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When I run Guix deploy, I get this error:
```
guix deploy: error: open-file: Permission denied:
"/home/itsme/.cache/guix/checkouts/last-expiry-cleanup"
```

I've tried deleting ~/.cache/guix, and creating a chmod 777'd
~/.cache/guix directory, but I still get that error.